JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxTriangleShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxTriangleShape

All Implemented Interfaces:
  mxIShape

    public class mxTriangleShape

extends mxBasicShape

Constructor Summary
`mxTriangleShape()`

Method Summary
`java.awt.Shape` `createShape(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, getFillColor, getStrokeColor, hasShadow, paintShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxTriangleShape

    public mxTriangleShape()

Method Detail

### createShape

    public java.awt.Shape createShape(mxGraphics2DCanvas canvas,
                                      mxCellState state)

  Overrides:
    `createShape` in class `mxBasicShape`

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.